Public Member Functions | Public Attributes | List of all members
libmspub::Dash Struct Reference

`#include <Dash.h>`

## Public Member Functions
| Dash (double distance, DotStyle dotStyle)

## Public Attributes
double | m_distance
DotStyle | m_dotStyle
std::vector< Dot > | m_dots

## Constructor & Destructor Documentation

## ◆ Dash()

libmspub::Dash::Dash | ( | double | distance,
|  | DotStyle | dotStyle
| ) |  |
| inline

## Member Data Documentation

## ◆ m_distance

double libmspub::Dash::m_distance

Referenced by libmspub::operator==(), and libmspub::MSPUBCollector::paintShape().

## ◆ m_dots

std::vector<Dot> libmspub::Dash::m_dots

Referenced by libmspub::getDash(), libmspub::operator==(), and libmspub::MSPUBCollector::paintShape().

## ◆ m_dotStyle

DotStyle libmspub::Dash::m_dotStyle

Referenced by libmspub::operator==(), and libmspub::MSPUBCollector::paintShape().

The documentation for this struct was generated from the following file:

- Dash.h